var TeslaCloud = window.TeslaCloud || {};

!function ($, window, document)
{
    "use strict";

    TeslaCloud.HeleketStatus = XF.Element.newHandler({
        options: {
            url: '',
            interval: 30
        },

        init: function ()
        {
            this.$statusPhrase = this.$target.find('#statusPhrase');
            this.$statusTime = this.$target.find('#statusTime');
            this.$statusIcon = this.$target.find('#statusIcon');
            this.$expiredBlock = this.$target.find('#messageExpired');

            let timerId = setInterval(XF.proxy(this, 'updateStatus'), this.options.interval * 1000);
            let overlay = this.$target.closest('.overlay-container');
            if (overlay && overlay.length > 0)
            {
                overlay.data('overlay')
                       .on('overlay:hidden', function ()
                       {
                           clearInterval(timerId);
                       });
            }


        },

        updateStatus: function ()
        {
            const self = this;

            XF.ajax('GET', this.options.url, {}, function (data)
            {
                if (data.payment.is_final === true)
                {
                    if (data.payment.return_url)
                    {
                        window.location.replace(data.payment.return_url)
                    }

                    self.$expiredBlock.show(400);
                    self.$statusIcon.hide();

                    clearInterval(self.$timerId);

                    return;
                }

                self.$statusPhrase.text(data.payment.payment_status_phrase);
                self.$statusTime.html(data.payment.expired_at_phrase);
            });
        }
    });

    XF.Element.register('tc-pg-heleket-status', 'TeslaCloud.HeleketStatus');
}
(window.jQuery, window, document);
