<?php

namespace TC\PaygateHeleket\Pub\View\Payment;

use XF;
use XF\Mvc\View;

class Json extends View
{
	public function renderJson(): array
	{
		$paymentResponse = [];

		$payment = $this->params['payment'];
		if (!empty($payment))
		{
			$paymentStatusPhrase = XF::phrase('tc_pg_heleket_invoice_status.' . $payment['payment_status'] ?? 'n_a')->render();
			$expiredAtPhrase = XF::app()->templater()->func('date_dynamic', [$payment['expired_at']]);

			$paymentResponse = [
				'order_id'              => $payment['order_id'],
				'payment_status'        => $payment['payment_status'],
				'payment_status_phrase' => $paymentStatusPhrase,
				'expired_at'            => $payment['expired_at'],
				'expired_at_phrase'     => $expiredAtPhrase,
				'is_final'              => $payment['is_final'],
			];

			if ($payment['is_final']
				&& in_array($payment['status'], [
					'paid',
					'paid_over'
				])
			)
			{
				if (!empty($payment['additional_data']))
				{
					$additionalData = json_decode($payment['additional_data'], true) ?? [];
					if (!empty($additionalData['url_return']))
					{
						$paymentResponse['return_url'] = $additionalData['url_return'];
					}
				}
			}
		}

		return [
			'payment' => $paymentResponse
		];
	}
}
