<?php

namespace TC\PaygateHeleket\XF\Data;

class Currency extends XFCP_Currency
{
	public function getCurrencyData()
	{
		$currencies = array_merge(parent::getCurrencyData(), [
			'BTC'   => ['code' => 'BTC', 'symbol' => '฿', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.btc', 'fa' => 'fab fa-btc'],
			'ETH'   => ['code' => 'ETH', 'symbol' => 'Ξ', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.eth', 'fa' => 'fab fa-ethereum'],
			'LTC'   => ['code' => 'LTC', 'symbol' => 'Ł', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.ltc'],
			'VERSE' => ['code' => 'VERSE', 'symbol' => 'VERSE', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.verse'],
			'DAI'   => ['code' => 'DAI', 'symbol' => 'DAI', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.dai'],
			'TON'   => ['code' => 'TON', 'symbol' => 'TON', 'precision' => 9, 'phrase' => 'tc_pg_heleket_currency.ton'],
			'USDT'  => ['code' => 'USDT', 'symbol' => '₮', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.usdt'],
			'BCH'   => ['code' => 'BCH', 'symbol' => 'BCH', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.bch'],
			'XMR'   => ['code' => 'XMR', 'symbol' => 'XMR', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.xmr'],
			'DASH'  => ['code' => 'DASH', 'symbol' => 'DASH', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.dash'],
			'BNB'   => ['code' => 'BNB', 'symbol' => 'BNB', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.bnb'],
			'DOGE'  => ['code' => 'DOGE', 'symbol' => 'DOGE', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.doge'],
			'USDC'  => ['code' => 'USDC', 'symbol' => 'USDC', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.usdc'],
			'CGPT'  => ['code' => 'CGPT', 'symbol' => 'CGPT', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.cgpt'],
			'TRX'   => ['code' => 'TRX', 'symbol' => '₮', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.trx'],
			'BUSD'  => ['code' => 'BUSD', 'symbol' => 'BUSD', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.busd'],
			'POL'   => ['code' => 'POL', 'symbol' => 'POL', 'precision' => 8, 'phrase' => 'tc_pg_heleket_currency.pol']
		]);

		ksort($currencies);

		return $currencies;
	}
}
